Bug 1278542 - "create-repo" command from kie-config-tool does not work properly in BPM Suite 6.1.x
"create-repo" command from kie-config-tool does not work properly in BPM Suit...
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
high Severity high
: CR1
: 6.2.0
Assigned To: manstis
Tomas David
Depends On:
Blocks: 1278888
  Show dependency treegraph
Reported: 2015-11-05 13:15 EST by Amana
Modified: 2015-11-20 02:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1278888 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Amana 2015-11-05 13:15:59 EST
Description of problem:

It is not possible to create a project for a repository which has been created using "kie-config-tool". Although the repository is created successfully, the "Ok" button to create a project does not work in business-central. If you try to create a project for any other repository created in bc, the "Ok" button works.

Version-Release number of selected component (if applicable):
BPM Suite 6.1.4 (also tested in 6.1.2).

How reproducible:

Steps to Reproduce:
1) In BPM Suite, create a organizational unit (i.e. demo);
2) Started kie-config-tool (./kie-config-cli.sh online);
3) Created a repository called "hello" and empty remote origin as follows:

  >>Please enter command (type help to see available commands): 
  >>Repository alias:hello
  >>Remote origin:

4) As it was created successfully, I executed "push-changes";
5) Assigned the repository to an existing "Organizational Unit" (demo) as follows: 
 >>Organizational Unit name:demo
 >>Repository alias:hello

6) As it was created successfully, I executed "push-changes";
7) Restarted BPMS server and after accessing it using "brmsuser", I am able to see the new repository assigned to the OU;
6) Going to "Authoring -> Project Authoring -> demo -> hello" repository, tried to create a new project by clicking on "New Item -> Project". It allowed me to input a name, but after clicking on "OK" button... nothing happens.

If you go to any other repository created on bc, the "OK" button will work.

Actual results:
Nothing happens by clicking on "Ok" button after creating a project.

Expected results:
It should work.

Additional info:
Comment 5 manstis 2015-11-10 10:18:45 EST
I tested this with Community 6.4.0-SNAPSHOT (@10-Nov-2015) and I could create a new Project in the new Repository (using the given steps) just fine. I suspect this is possible due to this: https://github.com/droolsjbpm/kie-wb-distributions/commit/17093d13c5c54ecfafef42b7cd36ac5e07cdee2d. 

This commit is also in the latest 6.3.x Product branch so I am setting this to MODIFIED for QE to verify.
Comment 7 Tomas David 2015-11-20 02:09:45 EST
Verified with BPMS 6.2.0.CR1.

Note You need to log in before you can comment on or make changes to this bug.